<template>
  <div id="app">
    <router-view v-if="refresh" />
  </div>
</template>

<script>
export default {
  name: "App",
  provide(){
    return {
      reload:this.reload
    }
  },
  data() {
    return {
      refresh: true, //控制整个页面刷新
    };
  },
  methods: {
    reload() {
      this.refresh = false;
      this.$nextTick(() => {
        this.refresh = true;
      });
    },
  },
};
</script>

<style lang="less">
html,
body {
  height: 100%;
  margin: 0;
  #app {
    height: 100%;
  }
}
// 蓝色弹框样式覆盖
// /deep/.figEldialog {
//   .el-dialog{
//     background: rgba(12, 20, 44, 0.8);
//     .el-dialog__header{
//         border-bottom: 1px solid #0c142c;
//         background: #0c142c;
//         .el-dialog__title{
//           color: #fff;
//           font-size: 18px;
//           letter-spacing: 1px;
//           >span{
//             background-color: #04d5e8 !important;
//             width: 5px !important;
//             margin-right: 9px !important;
//           } 
//         }
//     }
//     .el-dialog__body{
//       padding:0 20px 30px;
//       .el-form-item__label{
//         color: #fff;
//       }
//     }
//   }
// }
</style>
